<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<artifactId>JOSAST-parent</artifactId>
		<groupId>org.josast</groupId>
		<version>0.0.2-SNAPSHOT</version>
	</parent>

	<version>0.4</version>
	<artifactId>ApplicationAmicalsatCli</artifactId>


	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>11</maven.compiler.source>
		<maven.compiler.target>11</maven.compiler.target>
		<java.16.home>${env.JAVA_HOME}</java.16.home>

		<!-- -->

		<kaitai-maven-plugin-version>0.1.5</kaitai-maven-plugin-version>
		<kaitai-struct-runtime.version>0.8</kaitai-struct-runtime.version>

		<junit.version> 4.11  </junit.version>

		<!-- JOSAST - module version -->

		<ModuleSoundModem.version>0.0.2-SNAPSHOT</ModuleSoundModem.version>
		<ModuleConfig.version> 0.2 </ModuleConfig.version>
		<ModuleAmicalsat.version>1.0-SNAPSHOT</ModuleAmicalsat.version>


	</properties>

	<dependencies>

		<!-- https://mvnrepository.com/artifact/name.valery1707.kaitai/kaitai-maven-plugin -->
		<dependency>
			<groupId>name.valery1707.kaitai</groupId>
			<artifactId>kaitai-maven-plugin</artifactId>
			<version>${kaitai-maven-plugin-version}</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/io.kaitai/kaitai-struct-runtime -->
		<dependency>
			<groupId>io.kaitai</groupId>
			<artifactId>kaitai-struct-runtime</artifactId>
			<version>${kaitai-struct-runtime.version}</version>
		</dependency>

		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleSoundModem</artifactId>
			<version>${ModuleSoundModem.version}</version>
		</dependency>
		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleConfig</artifactId>
			<version>${ModuleConfig.version}</version>
		</dependency>
		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleAmicalsat</artifactId>
			<version>${ModuleAmicalsat.version}</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>${junit.version}</version>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<executions>
					<execution>
						<id>make-assembly</id> <!-- this is used for inheritance merges -->
						<phase>package</phase> <!-- bind to the packaging phase -->
						<goals>
							<goal>single</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<archive>
						<manifest>
							<mainClass>
								org.josast.app.amicalsat.cli.AmicalsatCli
							</mainClass>
						</manifest>
					</archive>
					<descriptorRefs>
						<descriptorRef>jar-with-dependencies</descriptorRef>
					</descriptorRefs>
				</configuration>
			</plugin>
			
         

			
		</plugins>
	</build>

 
</project>
